Index: src/sas/guiframe/documentation_window.py
===================================================================
--- src/sas/guiframe/documentation_window.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/documentation_window.py	(revision a4340d15b57fa97c7b1aa5163477cfd700794496)
@@ -1,5 +1,7 @@
+import os
+import logging
 import wx
 from wx import Frame
-
+import webbrowser
 wx_supports_html2 = float(wx.__version__[:3]) >= 2.9
 if wx_supports_html2:
@@ -8,14 +10,32 @@
     import wx.html as html
 
+   
 class DocumentationWindow(Frame):
     def __init__(self, parent, id, path, title='Help', size=(850, 540)):
         Frame.__init__(self, parent, id, title, size=size)
 
-        if wx_supports_html2:
+        SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
+        if SPHINX_DOC_ENV in os.environ:
+            docs_path = os.path.join(os.environ[SPHINX_DOC_ENV])
+        else:
+            docs_path = os.path.join(PATH_APP, "..", "..", "doc")
+
+        if (not os.path.exists(docs_path)):
+            print "logging"
+            logging.error("Could not find Sphinx documentation at %s \
+            -- has it been built?", docs_path)
+
+        elif wx_supports_html2:
             # Complete HTML/CSS support!
             self.view = html.WebView.New(self)
-            self.view.LoadURL("file://" + path)
-        else:
-            # This ain't gonna be pretty...
-            self.view = html.HtmlWindow(self, -1, style=wx.NO_BORDER)
-            self.view.LoadPage(path)
+            self.view.LoadURL("file://" + docs_path + '\\' + path)
+            self.Show()
+        else: 
+            #For cases that do not build against current version dependency
+            # Wx 3.0 we provide a webbrowser call - this is particularly for 
+            #Red hat used at SNS for which Wx 3.0 is not available.  This
+            #does not deal with issue of math in docs of course. 
+
+            webbrowser.open_new_tab("file:///" + docs_path + "/" + path)
+
+ 
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 9bbb627ef6fd79891e4df4ebca57204c76bc08d1)
+++ src/sas/guiframe/gui_manager.py	(revision a4340d15b57fa97c7b1aa5163477cfd700794496)
@@ -24,5 +24,4 @@
 import logging
 import httplib
-import webbrowser
 
 
@@ -2153,8 +2152,7 @@
     def _onSphinxDocs(self, evt):
         """
-        Bring up Sphinx Documentation.  If Wx 2.9 or higher is installed 
-        with proper HTML support then Pop up a Sphinx Documentation dialog
-        locally.  If not pop up a new tab in the default system browser 
-        calling the documentation website.
+        Bring up Sphinx Documentation at top level whenever the menu item
+        'documentation' is clicked. Calls DocumentationWindow with the top
+        level path of "index.html"
         
         :param evt: menu event
@@ -2162,24 +2160,9 @@
         # Running SasView "in-place" using run.py means the docs will be in a
         # different place than they would otherwise.
-
-        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
-        if show_sphinx_docs:
-            SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
-            if SPHINX_DOC_ENV in os.environ:
-                docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
-            else:
-                docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
-
-            if os.path.exists(docs_path):
-                from documentation_window import DocumentationWindow
-
-                sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
-                sphinx_doc_viewer.Show()
-            else:
-                logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
-        else:
-            #For red hat and maybe others who do not have Wx 3.0
-            #just send to webpage of documentation
-            webbrowser.open_new_tab('http://www.sasview.org/sasview')
+        from documentation_window import DocumentationWindow
+        
+        sphinx_doc_viewer = DocumentationWindow(self, -1, "index.html")
+#        sphinx_doc_viewer.Show()
+
 
     def set_manager(self, manager):
